Subject: [Ace] Fwd: New Version Notification for draft-tiloca-ace-oscore-gm-admin-02.txt

From: Marco Tiloca <[email-masked]>
Date: Tue, 14 Jul 2020 12:50:14 +0200

Hello ACE,

We have submitted an updated version of draft-tiloca-ace-oscore-gm-admin

https://tools.ietf.org/html/draft-tiloca-ace-oscore-gm-admin-02

The document describes a RESTful interface on the OSCORE Group Manager
(resource server), intended for an Administrator (client) to create and
delete OSCORE groups, as well as set, retrieve and update their
configuration.

This interface is aligned and consistent with the other RESTful
interface on the Group Manager used in [1] and rather intended for
joining nodes and current group members.

This update is especially about:

1) Addressing most of the review at [2] from Jim (thanks!)

2) Addressing comments from Christian at [3] (thanks!)

3) Improved examples both in CBOR and in CoRAL.

Comments are very welcome.

Best,
/Marco

[1] https://tools.ietf.org/html/draft-ietf-ace-key-groupcomm-oscore
[2] https://mailarchive.ietf.org/arch/msg/ace/q55WDjJLdEMVvI0bV7k_VrzRgIY/
[3] https://mailarchive.ietf.org/arch/msg/ace/gLr5NgAURoi5P9f6RcgHkL2jFr8/

-------- Forwarded Message --------
Subject: 	New Version Notification for
draft-tiloca-ace-oscore-gm-admin-02.txt
Date: 	Mon, 13 Jul 2020 10:27:05 -0700
From: 	[email-masked]
To: 	Marco Tiloca <[email-masked]>, Rikard Hoeglund
<[email-masked]>, Klaus Hartke <[email-masked]>,
Francesca Palombini <[email-masked]>, Peter van der
Stok <[email-masked]>

A new version of I-D, draft-tiloca-ace-oscore-gm-admin-02.txt
has been successfully submitted by Marco Tiloca and posted to the
IETF repository.

Name: draft-tiloca-ace-oscore-gm-admin
Revision: 02
Title: Admin Interface for the OSCORE Group Manager
Document date: 2020-07-13
Group: ace
Pages: 29
URL:
https://www.ietf.org/internet-drafts/draft-tiloca-ace-oscore-gm-admin-02.txt
Status: https://datatracker.ietf.org/doc/draft-tiloca-ace-oscore-gm-admin/
Htmlized: https://tools.ietf.org/html/draft-tiloca-ace-oscore-gm-admin-02
Htmlized:
https://datatracker.ietf.org/doc/html/draft-tiloca-ace-oscore-gm-admin
Diff: https://www.ietf.org/rfcdiff?url2=draft-tiloca-ace-oscore-gm-admin-02

Abstract:
Group communication for CoAP can be secured using Group Object
Security for Constrained RESTful Environments (Group OSCORE). A
Group Manager is responsible to handle the joining of new group
members, as well as to manage and distribute the group key material.
This document defines a RESTful admin interface at the Group Manager,
that allows an Administrator entity to create and delete OSCORE
groups, as well as to retrieve and update their configuration. The
ACE framework for Authentication and Authorization is used to enforce
authentication and authorization of the Administrator at the Group
Manager. Protocol-specific transport profiles of ACE are used to
achieve communication security, proof-of-possession and server
authentication.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat